com.ihr.xbrl.mapper.filters

## Class XBRLCTimeFilter.TimeFilter

- java.lang.Object
- - com.ihr.xbrl.mapper.filters.XBRLCTimeFilter.TimeFilter

- All Implemented Interfaces:
    XBRLFacetFilter
  Direct Known Subclasses:
    XBRLCTimeFilter.XBRLCTimeAnyFilter, XBRLCTimeFilter.XBRLCTimeDateFilter, XBRLCTimeFilter.XBRLCTimeLatestFilter, XBRLCTimeFilter.XBRLCTimeOldestFilter, XBRLCTimeFilter.XBRLCTimeSameEndFilter, XBRLCTimeFilter.XBRLCTimeSameInstantFilter, XBRLCTimeFilter.XBRLCTimeSameStartFilter
  Enclosing class:
    XBRLCTimeFilter

      public abstract static class XBRLCTimeFilter.TimeFilter
      extends java.lang.Object
      implements XBRLFacetFilter

  The Class TimeFilter.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.util.GregorianCalendar` | `getDate(XBRLFilterContext context)` Gets the date.
    `abstract boolean` | `matches(XBRLPeriod factPeriod, XBRLFilterContext context)` Matches.
    `void` | `setParent(XBRLCTimeFilter parent)` Sets the parent.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.mapper.filters.XBRLFacetFilter

      `createFilterNode, getId, matches, setId`

- - ### Method Detail

    - #### getDate

          public abstract java.util.GregorianCalendar getDate(XBRLFilterContext context)

      Gets the date.
      Parameters:
        `context` - the context
      Returns:
        the date

    - #### matches

          public abstract boolean matches(XBRLPeriod factPeriod,
                        XBRLFilterContext context)

      Matches.
      Parameters:
        `factPeriod` - the fact period
        `context` - the context
      Returns:
        true, if successful

    - #### setParent

          public void setParent(XBRLCTimeFilter parent)

      Sets the parent.
      Parameters:
        `parent` - the new parent